version: '3.8'
services:

  fastapi-app:
    restart: always
    build:
      context: .
      dockerfile: Dockerfile
    ports:
      - "8002:8002"
    depends_on:
      - redis
    environment:
      - REDIS_HOST=redis
    volumes:
      - ./app:/stem/app

  redis:
    image: redis:latest
    ports:
      - "6379:6379"